#!/usr/bin/perl -w

use Test::More tests => 2;
require WWW::Yahoo::Credentials;

eval {
    my $credentials = WWW::Yahoo::Credentials->new( 't/files/nofile.xml' );
};
isa_ok( $@, 'WWW::Yahoo::Credentials::Exception::File', 'non-existent file' );
like( $@, qr!credentials file does not exist!, 'file does not exist' );
